<?php
	/* 
	* Recursive function that goes through current file directory's
	* folders and subfolders, finds images that have demensions in name
	* and deletes them from the directory. Could be used in cases where
	* large amounts of photos, including image sizes have been pulled
	* from the WordPress uploads and are going to be re-uploaded to a 
	* new website or location.
 	*
	* Author: Andrew Gunn
	*/
	$fileCount = 0; //file counter
	$regexMatch = 0; //regex match counter

	//Regex checking for 2-4 digits followed by "x" and 2-4 digits
	//i.e 1080x760, 500x275, 300x95 
	$regex = "/\\d{2,4}[x]\\d{2,4}/";

	//Directory object with dir of current file
	$dir = new RecursiveDirectoryIterator(dirname(__FILE__));

	//Loop through each folder, its subfolders, and files
	foreach (new RecursiveIteratorIterator($dir) as $filename => $file) {
		
		$fileCount += 1; //increment file count

		//if image has image size part in file name, delete it
		if (preg_match($regex, $filename, $matches)) {

			$regexMatch += 1; //increment regex match count
			unlink($filename); //deletes file from dir
		} //end regex match
	} //end of foreach

	//Displaying counts
	if ($fileCount > 0) {
		echo $fileCount . " total files \n" . $regexMatch . " files deleted\n";
	} else {
		echo 'No files found. Try new directory.';
	} //end fileCount
?>